/* ==UserStyle==
@name           Rule34.xxx - Better Upload Forms
@namespace      github.com/openstyles/stylus
@version        1.4.1
@description    General changes to the upload page making it less messy and easier to work with.
@author         neo.nyaa (https://discord.com/users/427114049487241227)
@homepageURL    https://gitlab.com/___Neopolitan/CSS-Tweaks
==/UserStyle== */

@-moz-document regexp("(http|https)://rule34.xxx/index.php\?page=post&s=(addVideo|add)") {
    tbody > tr:nth-child(1),
    tbody > tr:last-child > td > b {
        display: none;
    }

    #content > div:not(#upload-form) {
        border-right: none !important;
        border-top: none !important;
        border-bottom: none !important;
        width: 100% !important;
        margin-left: 6px;
        margin-bottom: 20px;
    }

    input[type="file"],
    input[type="text"],
    input[type="email"],
    input[type="password"],
    textarea,
    select {
        border: solid 2px var(--c-bg-highlight);
        background-color: var(--c-bg-deep);
        color: var(--c-text);
        width: 100%;
        max-width: 100%;
    }

    textarea {
        height: 100px;
        resize: vertical;
    }

    input[type="file"] {
        padding: 20px .3em 20px .3em;
    }

    [value="Upload"] {
        width: 75px;
        height: 25px;
    }
}

@-moz-document regexp("(http|https):\/\/rule34\.xxx\/index\.php\?page=post&s=addVideo") {
    tbody > tr:nth-child(4) > td > br:nth-child(3) {
        display: none;
    }

    tbody > tr:nth-child(5) {
        transform: translateY(16px)
    }

    tbody > tr:nth-child(6) {
        transform: translateY(16px)
    }

    tbody > tr:nth-child(8) {
        transform: translateY(32px)
    }
}
